Class AppListController
java.lang.Object
org.apache.hadoop.yarn.appcatalog.controller.AppListController
Application deployment module.
-
Constructor Summary
Constructors -
Method Summary
-
Constructor Details
-
AppListController
public AppListController()
-
-
Method Details
-
getList
Get Application List.@apiGroup AppListController @apiName get @api {get} /app_list Get list of deployed applications. @apiSuccess {Object[]} List<AppEntry> List of deployed Applications. @apiSuccessExample {json} Success-Response: HTTP/1.1 200 OK [ { "id":"howita-man", "name":"howita-man", "app":"Jenkins-ci.org/Jenkins", "yarnfile":{ "name":"howita_man", "lifetime":3600, "containers":[ ], "components":[ { "name":"jenkins", "dependencies":[ ], "artifact":{ "id":"eyang-1.openstacklocal:5000/jenkins:latest", "type":"DOCKER" }, "launch_command":"", "resource":{ "uri":null, "profile":null, "cpus":1, "memory":"2048" }, "number_of_containers":1, "run_privileged_container":false, "configuration":{ "properties":{ }, "env":{ }, "files":[ ] }, "quicklinks":[ ], "containers":[ ] } ], "configuration":{ "properties":{ }, "env":{ }, "files":[ ] }, "quicklinks":{ "Jenkins UI":"http://jenkins.${SERVICE_NAME}.${USER}.${DOMAIN}:8080/" } } }, { ... } ]- Returns:
- Active application deployed by current user.
-
delete
@DELETE @Path("{id}/{name}") @Produces("application/json") public javax.ws.rs.core.Response delete(@PathParam("id") String id, @PathParam("name") String name) Delete an application.@apiGroup AppListController @apiName delete @api {delete} /app_list Delete one instance of application. @apiParam {String} id Application name to delete. @apiSuccess {String} text Delete request accepted- Parameters:
id- application IDname- application name- Returns:
- Web response
-
deploy
@POST @Path("{id}") @Consumes("application/json") @Produces("application/json") public javax.ws.rs.core.Response deploy(@PathParam("id") String id, org.apache.hadoop.yarn.service.api.records.Service service) Deploy an application.@apiGroup AppListController @apiName deploy @api {post} /app_list/{id} Deploy one instance of application. @apiParam {String} id Application ID to deploy. @apiSuccess {String} text Give deployment status @apiError BadRequest Unable to deploy requested application.- Parameters:
id- application ID- Returns:
- Web response
-